#include <iostream>
#include "pb_1/problem_1.hpp"
#include "pb_2/problem_2.hpp"

int main() {
    {
        std::cout << "Begin Problem 1 part 1\n";
        if (const auto result = pb1::solve_problem_part1("inputs/pb1.txt"); result != 0) {
            std::cout << "Problem 1 part1: " << result << '\n';
        }
    }
    {
        std::cout << "Begin Problem 1 part 2\n";
//        if (const auto result = pb1::solve_problem_part2("inputs/pb1_p2_sample.txt"); result != 0) {
//            std::cout << "Problem 1 part2: " << result << '\n';
//        }
    }
    {
        std::cout << "Begin Problem 2 part 1\n";
        if (const auto result = pb2::problem_part1("inputs/pb2.txt"); result != 0) {
            std::cout << "Problem 2 part 1: " << result << '\n';
        }
    }
    return EXIT_SUCCESS;
}
